using UnityEngine;
using System.Collections;

public class DistanceVolumeController : MonoBehaviour
{
	public int channel;
	public float minDistance;
	public float maxDistance;
	public Transform target;
	
	private MusicManager _musicManager;
	private Transform _player;

	// Use this for initialization
	void Start ()
	{
		_musicManager = GetComponent <MusicManager> ();
		_player = GameObject.FindGameObjectWithTag ( "Player" ).transform;
	}
	
	// Update is called once per frame
	void FixedUpdate ()
	{
		float volume;
		
		if ( target == null )
		{
			volume = 0;
		}
		else
		{
			float distance = ( _player.position - target.position ).magnitude;
			volume = 1 - ( distance - minDistance ) / ( maxDistance - minDistance );
			volume = Mathf.Min ( Mathf.Max ( volume, 0 ), 1 );
		}
		
		_musicManager.setVolume ( channel, volume );
	}
}

