using UnityEngine;
using System.Collections;

public class FallingTile : MonoBehaviour {
	
	public float boundary;
	
	private Transform _player;
	private Rigidbody _rigidBody;
	private float _stability;
	
	// Use this for initialization
	void Start () {
		_rigidBody = GetComponent <Rigidbody> ();
		_rigidBody.drag = _rigidBody.drag * ( UnityEngine.Random.value + 1f );
		_player = GameObject.FindGameObjectWithTag ( "Player" ).transform;
		_stability = UnityEngine.Random.value * 5;
	}
	
	public void fall ()
	{
		if ( _rigidBody.isKinematic )
		{
			_rigidBody.isKinematic = false;
			_rigidBody.AddTorque ( UnityEngine.Random.onUnitSphere * 100 );
			_rigidBody.AddForce ( UnityEngine.Random.onUnitSphere * 500 );
		}
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if ( _player.position.z > transform.position.z + 3 + _stability && _rigidBody.isKinematic && UnityEngine.Random.value < 0.02 )
		{
			fall ();
		}
		
		if ( transform.position.y < boundary )
		{
			Destroy ( gameObject );
		}
	}
}
