using System;
using UnityEngine;

public class Zigzag : TileBlock
{
	public Transform prefab;
	
	public Zigzag ( Transform argPrefab, Vector3 argOrigin, int argWidth, int argDepth ) : base ( argOrigin, argWidth, argDepth )
	{
		prefab = argPrefab;
	}
	
	public void generate ()
	{
		int x = ( width - 1 ) / 2;
		int z = 0;
		bool right = true;
		bool back = false;
		
		while ( z < depth )
		{
			if ( back )
			{
				placeTile ( prefab, x, z, Color.gray );
				z ++;
				
				if ( z < depth )
				{
					placeTile ( prefab, x, z, Color.gray );
				}
				
				back = false;
			}
			else
			{
				if ( right )
				{
					x ++;
				}
				else
				{
					x --;
				}
				placeTile ( prefab, x, z, Color.gray );
				
				if ( x == 0 || x == width - 1 )
				{
					back = true;
					right = !right;
					z ++;
				}
			}
		}
	}
}

